#!/bin/bash

source .build.sh

echo
echo '==> Checking deps'
which git
which cargo

echo
echo '==> Cloning repo'
clone https://github.com/hickory-dns/hickory-dns.git hickory-dns

cd hickory-dns
trap 'cd ..' EXIT
set_cflags

echo
echo '==> Building resolve'
build_rust --bin resolve --features dnssec-ring

echo
echo '==> Done'
