#!/bin/bash

source .build.sh

echo
echo '==> Checking deps'
which git
which cargo

echo
echo '==> Cloning repo'
clone https://github.com/ogham/dog.git dog

cd dog
trap 'cd ..' EXIT
set_cflags

echo
echo '==> Building dog'
build_rust --no-default-features

echo
echo '==> Done'
